#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xC2,0xCE,0x59,0x8C,0x46,0xA7,0x05,0xE3,0xF4,0x98,0x43,0xE4,
		0x80,0x91,0x52,0xEE,0x33,0x1B,0xC2,0x77,0xB5,0xCD,0x28,0x2D,
		0xCE,0x09,0xB6,0x13,0xA7,0xDA,0xE9,0xED,0x85,0xAC,0x7E,0x30,
		0x73,0xAA,0xD2,0x47,0x7F,0x8A,0x66,0x6B,0x61,0xD2,0x5B,0x9E,
		0x3C,0x81,0xC1,0xC4,0x9C,0x67,0x13,0x9F,0x60,0x98,0xCE,0x81,
		0x4A,0xDA,0x50,0xA3,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
